#!/bin/bash
#
# RRC Modem disconnect script
#
# return codes:
#  0 - success
#  1 - no link present
#

LINKNAME=raritan-rrc

if [ ! -z $1 ] && [ $1 == "-l" ]; then
	shift
	LINKNAME=$1
fi

PIDFILE=/var/run/ppp-$LINKNAME.pid

ip_get_cmd="netstat -rn"

#$ip_get_cmd | grep "ppp" > /dev/null 2>&1
#if [ $? != 0 ]; then
#	exit 1
#fi

pppdpid=`head -1 $PIDFILE | awk '{ print $1 }'`
kill $pppdpid

