#!/bin/bash

SERVERNAME=raritan-rrc
PEERFILE=/etc/ppp/peers/$SERVERNAME
PAPSECRETS=/etc/ppp/pap-secrets
IDENT_STRING="#raritan_generated_do_not_edit"

# add/replace the ppp password to pap-secrets
if [ ! -f $PAPSECRETS ]; then
	touch $PAPSECRETS
	chmod 600 $PAPSECRETS
fi
passline=`cat $PAPSECRETS | grep "$IDENT_STRING"`
if [ -z "$passline" ]; then
	echo "\"$PPPUSER\" \"$SERVERNAME\" \"$PASSWD\" $IDENT_STRING" >> $PAPSECRETS
else
	escapedline=`echo $passline | sed 's/\"/\\\"/g'`
	perl -pi -e "s/$escapedline/\"$PPPUSER\" \"$SERVERNAME\" \"$PASSWD\" $IDENT_STRING/g" $PAPSECRETS
fi

# generate raritan peer file
echo "$MODEM" > $PEERFILE
echo "$SPEED" >> $PEERFILE
echo "xonxoff" >> $PEERFILE
echo "nolog" >> $PEERFILE
echo "connect '${CHATCMD}'" >> $PEERFILE
echo "nobsdcomp" >> $PEERFILE
echo "noauth" >> $PEERFILE
echo "user $PPPUSER" >> $PEERFILE
echo "linkname $SERVERNAME" >> $PEERFILE


